## org.w3c.tools.resources.store
Class ResourceStoreState

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.store.ResourceStoreState

public class ResourceStoreState
extends AttributeHolder

Field Summary
`protected static int` | `ATTR_RSKEY`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`ResourceStoreState()`
`ResourceStoreState(int id)`

Method Summary
`int` | `getCurrentKey()`
`int` | `getNextKey()`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, getValue, initialize, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_RSKEY

    protected static int ATTR_RSKEY

Constructor Detail

### ResourceStoreState

    public ResourceStoreState()

### ResourceStoreState

    public ResourceStoreState(int id)

Method Detail

### getNextKey

    public int getNextKey()

### getCurrentKey

    public int getCurrentKey()